%define name         tcpflow
%define version 0.21
%define release %mkrel 11

Summary: Network traffic recorder
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source:  http://www.circlemud.org/pub/jelson/tcpflow/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.circlemud.org/~jelson/software/tcpflow/
# autoconf required to rebuild the ./configure, which seems outdated.
BuildRequires: libpcap-devel autoconf

%description
tcpflow is a program that captures data transmitted as part of TCP 
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging.
A program like 'tcpdump' shows a summary of packets seen on the wire,
but usually doesn't store the data that's actually being transmitted.
In contrast, tcpflow reconstructs the actual data streams and stores
each flow in a separate file for later analysis.

%prep
%setup -q -n %{name}-%{version}
chmod -x COPYING

%build
autoreconf -fis

%configure2_5x
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,755)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.21-11mdv2010.0
+ Revision: 454052
- bump release
- fix build
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-8mdv2009.1
+ Revision: 298407
- rebuilt against libpcap-1.0.0

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.21-7mdv2009.0
+ Revision: 261434
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.21-6mdv2009.0
+ Revision: 254261
- rebuild

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 0.21-4mdv2008.1
+ Revision: 187644
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-3mdv2008.0
+ Revision: 68890
- rebuild
- Import tcpflow



* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.21-1mdk
- New release 0.21
- rpmbuildupdate aware

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-1mdk
- from Michael Scherer <scherer.michael@free.fr> :
	- Adaptation for Mandrake

* Thu Apr 22 1999 Ross Golder <rossigee@bigfoot.com>
- Wrote for version 0.12
